- [HTTP request](https://developers.google.com/workspace/events/reference/rest/v1/subscriptions/list#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/workspace/events/reference/rest/v1/subscriptions/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/events/reference/rest/v1/subscriptions/list#body.request_body)
- [Response body](https://developers.google.com/workspace/events/reference/rest/v1/subscriptions/list#body.response_body)
  - [JSON representation](https://developers.google.com/workspace/events/reference/rest/v1/subscriptions/list#body.ListSubscriptionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/workspace/events/reference/rest/v1/subscriptions/list#body.aspect)

Lists Google Workspace subscriptions. To learn how to use this method, see [List Google Workspace subscriptions](https://developers.google.com/workspace/events/guides/list-subscriptions).

### HTTP request

`GET https://workspaceevents.googleapis.com/v1/subscriptions`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of subscriptions to return. The service might return fewer than this value. If unspecified or set to `0`, up to 50 subscriptions are returned. The maximum value is 100. If you specify a value more than 100, the system only returns 100 subscriptions. |
| `pageToken` | `string` Optional. A page token, received from a previous list subscriptions call. Provide this parameter to retrieve the subsequent page. When paginating, the filter value should match the call that provided the page token. Passing a different value might lead to unexpected results. |
| `filter` | `string` Required. A query filter. You can filter subscriptions by event type (`event_types`) and target resource (`target_resource`). You must specify at least one event type in your query. To filter for multiple event types, use the `OR` operator. To filter by both event type and target resource, use the `AND` operator and specify the full resource name, such as `//chat.googleapis.com/spaces/{space}`. For example, the following queries are valid: event_types:"google.workspace.chat.membership.v1.updated" OR event_types:"google.workspace.chat.message.v1.created" event_types:"google.workspace.chat.message.v1.created" AND target_resource="//chat.googleapis.com/spaces/{space}" ( event_types:"google.workspace.chat.membership.v1.updated" OR event_types:"google.workspace.chat.message.v1.created" ) AND target_resource="//chat.googleapis.com/spaces/{space}" The following query is available in > [!WARNING] > **Developer Preview:** Available as part of the [Google Workspace Developer Preview Program](https://developers.google.com/workspace/preview), which grants early access to certain features. <br /> event_types:"google.workspace.chat.message.v1.created" AND target_resource="//admin.googleapis.com/customers/my_customer" The server rejects invalid queries with an `INVALID_ARGUMENT` error. |

### Request body

The request body must be empty.

### Response body

The response message for `https://developers.google.com/workspace/events/reference/rest/v1/subscriptions/list#google.apps.events.subscriptions.v1.SubscriptionsService.ListSubscriptions`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "subscriptions": [ { object (`https://developers.google.com/workspace/events/reference/rest/v1/subscriptions#Subscription`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `subscriptions[]` | ``object (`https://developers.google.com/workspace/events/reference/rest/v1/subscriptions#Subscription`)`` List of subscriptions. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/chat.bot`
- `
  https://www.googleapis.com/auth/chat.spaces`
- `
  https://www.googleapis.com/auth/chat.spaces.readonly`
- `
  https://www.googleapis.com/auth/chat.messages`
- `
  https://www.googleapis.com/auth/chat.messages.readonly`
- `
  https://www.googleapis.com/auth/chat.messages.reactions`
- `
  https://www.googleapis.com/auth/chat.messages.reactions.readonly`
- `
  https://www.googleapis.com/auth/chat.memberships`
- `
  https://www.googleapis.com/auth/chat.memberships.readonly`
- `
  https://www.googleapis.com/auth/meetings.space.created`
- `
  https://www.googleapis.com/auth/meetings.space.readonly`
- `
  https://www.googleapis.com/auth/drive`
- `
  https://www.googleapis.com/auth/drive.file`
- `
  https://www.googleapis.com/auth/drive.metadata`
- `
  https://www.googleapis.com/auth/drive.metadata.readonly`
- `
  https://www.googleapis.com/auth/drive.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).